# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['compute_api_client', 'compute_api_client.api', 'compute_api_client.models']

package_data = \
{'': ['*'], 'compute_api_client': ['docs/*']}

install_requires = \
['aiohttp>=3.8.1,<4.0.0',
 'python-dateutil>=2.8.2,<3.0.0',
 'urllib3>=1.25.3,<2.0.0']

setup_kwargs = {
    'name': 'qi-compute-api-client',
    'version': '0.1.0',
    'description': 'An API client for the Compute Job Manager of Quantum Inspire.',
    'long_description': '# compute-api-client\nNo description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)\n\nThe `compute_api_client` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 0.1.0\n- Package version: 1.0.0\n- Build package: org.openapitools.codegen.languages.PythonLegacyClientCodegen\n\n## Requirements.\n\nPython 2.7 and 3.4+\n\n## Installation & Usage\n\nThis python library package is generated without supporting files like setup.py or requirements files\n\nTo be able to use it, you will need these dependencies in your own package that uses this library:\n\n* urllib3 >= 1.25.3\n* six >= 1.10\n* python-dateutil\n* aiohttp\n\n## Getting Started\n\nIn your own code, to use this library to connect and interact with compute-api-client,\nyou can run the following:\n\n```python\nfrom __future__ import print_function\n\nimport time\nimport compute_api_client\nfrom compute_api_client.rest import ApiException\nfrom pprint import pprint\n\n# Defining the host is optional and defaults to http://localhost\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = compute_api_client.Configuration(\n    host = "http://localhost"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith compute_api_client.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = compute_api_client.AlgorithmsApi(api_client)\n    algorithm_in = compute_api_client.AlgorithmIn() # AlgorithmIn | \n\n    try:\n        # Create algorithm\n        api_response = api_instance.create_algorithm_algorithms_post(algorithm_in)\n        pprint(api_response)\n    except ApiException as e:\n        print("Exception when calling AlgorithmsApi->create_algorithm_algorithms_post: %s\\n" % e)\n    \n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *http://localhost*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*AlgorithmsApi* | [**create_algorithm_algorithms_post**](compute_api_client/docs/AlgorithmsApi.md#create_algorithm_algorithms_post) | **POST** /algorithms | Create algorithm\n*AlgorithmsApi* | [**delete_algorithm_algorithms_id_delete**](compute_api_client/docs/AlgorithmsApi.md#delete_algorithm_algorithms_id_delete) | **DELETE** /algorithms/{id} | Destroy algorithm\n*AlgorithmsApi* | [**read_algorithm_algorithms_id_get**](compute_api_client/docs/AlgorithmsApi.md#read_algorithm_algorithms_id_get) | **GET** /algorithms/{id} | Retrieve algorithm\n*AlgorithmsApi* | [**read_algorithms_algorithms_get**](compute_api_client/docs/AlgorithmsApi.md#read_algorithms_algorithms_get) | **GET** /algorithms | List algorithms\n*AlgorithmsApi* | [**update_algorithm_algorithms_id_put**](compute_api_client/docs/AlgorithmsApi.md#update_algorithm_algorithms_id_put) | **PUT** /algorithms/{id} | Update algorithm\n*BatchRunsApi* | [**create_batch_run_batch_runs_post**](compute_api_client/docs/BatchRunsApi.md#create_batch_run_batch_runs_post) | **POST** /batch_runs | Create batch run\n*BatchRunsApi* | [**enqueue_batch_run_batch_runs_id_enqueue_patch**](compute_api_client/docs/BatchRunsApi.md#enqueue_batch_run_batch_runs_id_enqueue_patch) | **PATCH** /batch_runs/{id}/enqueue | Enqueue batch run for execution\n*BatchRunsApi* | [**finish_batch_run_batch_runs_id_finish_patch**](compute_api_client/docs/BatchRunsApi.md#finish_batch_run_batch_runs_id_finish_patch) | **PATCH** /batch_runs/{id}/finish | Finish batch run\n*BatchRunsApi* | [**peek_batch_run_batch_runs_peek_patch**](compute_api_client/docs/BatchRunsApi.md#peek_batch_run_batch_runs_peek_patch) | **PATCH** /batch_runs/peek | Peek batch run\n*BatchRunsApi* | [**pop_batch_run_batch_runs_pop_patch**](compute_api_client/docs/BatchRunsApi.md#pop_batch_run_batch_runs_pop_patch) | **PATCH** /batch_runs/pop | Take batch run\n*BatchRunsApi* | [**read_batch_runs_batch_runs_get**](compute_api_client/docs/BatchRunsApi.md#read_batch_runs_batch_runs_get) | **GET** /batch_runs | List batch runs\n*CommitsApi* | [**create_commit_commits_post**](compute_api_client/docs/CommitsApi.md#create_commit_commits_post) | **POST** /commits | Create commit\n*CommitsApi* | [**delete_commit_commits_id_delete**](compute_api_client/docs/CommitsApi.md#delete_commit_commits_id_delete) | **DELETE** /commits/{id} | Destroy commit\n*CommitsApi* | [**read_commit_commits_id_get**](compute_api_client/docs/CommitsApi.md#read_commit_commits_id_get) | **GET** /commits/{id} | Get commit by ID\n*CommitsApi* | [**read_commits_commits_get**](compute_api_client/docs/CommitsApi.md#read_commits_commits_get) | **GET** /commits | List commits\n*FilesApi* | [**create_file_files_post**](compute_api_client/docs/FilesApi.md#create_file_files_post) | **POST** /files | Create file\n*FilesApi* | [**delete_file_files_id_delete**](compute_api_client/docs/FilesApi.md#delete_file_files_id_delete) | **DELETE** /files/{id} | Destroy file\n*FilesApi* | [**read_file_files_id_get**](compute_api_client/docs/FilesApi.md#read_file_files_id_get) | **GET** /files/{id} | Retrieve file\n*FilesApi* | [**read_files_files_get**](compute_api_client/docs/FilesApi.md#read_files_files_get) | **GET** /files | List files\n*FinalResultsApi* | [**create_final_result_final_results_post**](compute_api_client/docs/FinalResultsApi.md#create_final_result_final_results_post) | **POST** /final_results | Create final result\n*FinalResultsApi* | [**read_final_result_by_run_id_final_results_run_run_id_get**](compute_api_client/docs/FinalResultsApi.md#read_final_result_by_run_id_final_results_run_run_id_get) | **GET** /final_results/run/{run_id} | Retrieve final result by run ID\n*FinalResultsApi* | [**read_final_result_final_results_id_get**](compute_api_client/docs/FinalResultsApi.md#read_final_result_final_results_id_get) | **GET** /final_results/{id} | Retrieve final result\n*LanguagesApi* | [**read_language_languages_id_get**](compute_api_client/docs/LanguagesApi.md#read_language_languages_id_get) | **GET** /languages/{id} | Retrieve language\n*LanguagesApi* | [**read_languages_languages_get**](compute_api_client/docs/LanguagesApi.md#read_languages_languages_get) | **GET** /languages | List languages\n*MembersApi* | [**create_member_members_post**](compute_api_client/docs/MembersApi.md#create_member_members_post) | **POST** /members | Create member\n*MembersApi* | [**delete_member_members_id_delete**](compute_api_client/docs/MembersApi.md#delete_member_members_id_delete) | **DELETE** /members/{id} | Destroy member\n*MembersApi* | [**read_member_members_id_get**](compute_api_client/docs/MembersApi.md#read_member_members_id_get) | **GET** /members/{id} | Retrieve member\n*MembersApi* | [**read_members_members_get**](compute_api_client/docs/MembersApi.md#read_members_members_get) | **GET** /members | List members\n*MetadataApi* | [**create_metadata_metadata_post**](compute_api_client/docs/MetadataApi.md#create_metadata_metadata_post) | **POST** /metadata | Create metadata\n*MetadataApi* | [**read_metadata_by_runtime_id_metadata_runtime_runtime_id_get**](compute_api_client/docs/MetadataApi.md#read_metadata_by_runtime_id_metadata_runtime_runtime_id_get) | **GET** /metadata/runtime/{runtime_id} | Retrieve metadata by runtime ID\n*MetadataApi* | [**read_metadata_metadata_id_get**](compute_api_client/docs/MetadataApi.md#read_metadata_metadata_id_get) | **GET** /metadata/{id} | Get metadata by ID\n*PermissionsApi* | [**read_permission_group_permission_groups_id_get**](compute_api_client/docs/PermissionsApi.md#read_permission_group_permission_groups_id_get) | **GET** /permission_groups/{id} | Retrieve permission groups\n*PermissionsApi* | [**read_permission_groups_permission_groups_get**](compute_api_client/docs/PermissionsApi.md#read_permission_groups_permission_groups_get) | **GET** /permission_groups/ | List permission groups\n*PermissionsApi* | [**read_permission_permissions_id_get**](compute_api_client/docs/PermissionsApi.md#read_permission_permissions_id_get) | **GET** /permissions/{id} | Retrieve permissions\n*PermissionsApi* | [**read_permissions_permissions_get**](compute_api_client/docs/PermissionsApi.md#read_permissions_permissions_get) | **GET** /permissions/ | List permissions\n*ProjectsApi* | [**create_project_projects_post**](compute_api_client/docs/ProjectsApi.md#create_project_projects_post) | **POST** /projects | Create project\n*ProjectsApi* | [**delete_project_projects_id_delete**](compute_api_client/docs/ProjectsApi.md#delete_project_projects_id_delete) | **DELETE** /projects/{id} | Destroy project\n*ProjectsApi* | [**partial_update_project_projects_id_patch**](compute_api_client/docs/ProjectsApi.md#partial_update_project_projects_id_patch) | **PATCH** /projects/{id} | Partially update project\n*ProjectsApi* | [**read_project_projects_id_get**](compute_api_client/docs/ProjectsApi.md#read_project_projects_id_get) | **GET** /projects/{id} | Retrieve project\n*ProjectsApi* | [**read_projects_projects_get**](compute_api_client/docs/ProjectsApi.md#read_projects_projects_get) | **GET** /projects | List projects\n*ProjectsApi* | [**update_project_projects_id_put**](compute_api_client/docs/ProjectsApi.md#update_project_projects_id_put) | **PUT** /projects/{id} | Update project\n*ReservationsApi* | [**create_reservation_reservations_post**](compute_api_client/docs/ReservationsApi.md#create_reservation_reservations_post) | **POST** /reservations | Create reservation\n*ReservationsApi* | [**read_reservation_reservations_id_get**](compute_api_client/docs/ReservationsApi.md#read_reservation_reservations_id_get) | **GET** /reservations/{id} | Retrieve reservation\n*ReservationsApi* | [**read_reservations_reservations_get**](compute_api_client/docs/ReservationsApi.md#read_reservations_reservations_get) | **GET** /reservations | List reservations\n*ReservationsApi* | [**terminate_reservation_reservations_id_terminate_patch**](compute_api_client/docs/ReservationsApi.md#terminate_reservation_reservations_id_terminate_patch) | **PATCH** /reservations/{id}/terminate | Terminate reservation\n*ResultsApi* | [**create_result_results_post**](compute_api_client/docs/ResultsApi.md#create_result_results_post) | **POST** /results | Create result\n*ResultsApi* | [**read_result_results_id_get**](compute_api_client/docs/ResultsApi.md#read_result_results_id_get) | **GET** /results/{id} | Retrieve result\n*ResultsApi* | [**read_results_by_run_id_results_run_run_id_get**](compute_api_client/docs/ResultsApi.md#read_results_by_run_id_results_run_run_id_get) | **GET** /results/run/{run_id} | Retrieve result\n*RunsApi* | [**create_run_runs_post**](compute_api_client/docs/RunsApi.md#create_run_runs_post) | **POST** /runs | Create run\n*RunsApi* | [**delete_run_runs_id_delete**](compute_api_client/docs/RunsApi.md#delete_run_runs_id_delete) | **DELETE** /runs/{id} | Destroy run\n*RunsApi* | [**read_run_runs_id_get**](compute_api_client/docs/RunsApi.md#read_run_runs_id_get) | **GET** /runs/{id} | Retrieve run\n*RunsApi* | [**read_runs_runs_get**](compute_api_client/docs/RunsApi.md#read_runs_runs_get) | **GET** /runs | List runs\n*RunsApi* | [**start_run_runs_id_start_patch**](compute_api_client/docs/RunsApi.md#start_run_runs_id_start_patch) | **PATCH** /runs/{id}/start | Start run\n*RuntimeApi* | [**read_runtime_runtimes_id_get**](compute_api_client/docs/RuntimeApi.md#read_runtime_runtimes_id_get) | **GET** /runtimes/{id} | Retrieve runtime\n*RuntimeApi* | [**read_runtimes_runtimes_get**](compute_api_client/docs/RuntimeApi.md#read_runtimes_runtimes_get) | **GET** /runtimes | List runtimes\n*RuntimeTypesApi* | [**read_runtime_type_runtime_types_id_get**](compute_api_client/docs/RuntimeTypesApi.md#read_runtime_type_runtime_types_id_get) | **GET** /runtime_types/{id} | Retrieve runtime type\n*RuntimeTypesApi* | [**read_runtime_types_runtime_types_get**](compute_api_client/docs/RuntimeTypesApi.md#read_runtime_types_runtime_types_get) | **GET** /runtime_types/ | List runtime types\n*TeamsApi* | [**read_team_teams_id_get**](compute_api_client/docs/TeamsApi.md#read_team_teams_id_get) | **GET** /teams/{id} | Retrieve teams\n*TeamsApi* | [**read_teams_teams_get**](compute_api_client/docs/TeamsApi.md#read_teams_teams_get) | **GET** /teams/ | List teams\n*TransactionsApi* | [**read_transaction_transactions_id_get**](compute_api_client/docs/TransactionsApi.md#read_transaction_transactions_id_get) | **GET** /transactions/{id} | Retrieve transactions\n*TransactionsApi* | [**read_transactions_transactions_get**](compute_api_client/docs/TransactionsApi.md#read_transactions_transactions_get) | **GET** /transactions/ | List transactions\n*UsersApi* | [**create_user_users_post**](compute_api_client/docs/UsersApi.md#create_user_users_post) | **POST** /users | Create user\n*UsersApi* | [**delete_user_users_id_delete**](compute_api_client/docs/UsersApi.md#delete_user_users_id_delete) | **DELETE** /users/{id} | Destroy user\n*UsersApi* | [**read_user_users_id_get**](compute_api_client/docs/UsersApi.md#read_user_users_id_get) | **GET** /users/{id} | Retrieve user\n*UsersApi* | [**read_users_users_get**](compute_api_client/docs/UsersApi.md#read_users_users_get) | **GET** /users | List users\n\n\n## Documentation For Models\n\n - [Algorithm](compute_api_client/docs/Algorithm.md)\n - [AlgorithmIn](compute_api_client/docs/AlgorithmIn.md)\n - [AlgorithmType](compute_api_client/docs/AlgorithmType.md)\n - [BatchRun](compute_api_client/docs/BatchRun.md)\n - [BatchRunIn](compute_api_client/docs/BatchRunIn.md)\n - [BatchRunStatus](compute_api_client/docs/BatchRunStatus.md)\n - [Commit](compute_api_client/docs/Commit.md)\n - [CommitIn](compute_api_client/docs/CommitIn.md)\n - [CompileStage](compute_api_client/docs/CompileStage.md)\n - [Domain](compute_api_client/docs/Domain.md)\n - [File](compute_api_client/docs/File.md)\n - [FileIn](compute_api_client/docs/FileIn.md)\n - [FinalResult](compute_api_client/docs/FinalResult.md)\n - [FinalResultIn](compute_api_client/docs/FinalResultIn.md)\n - [HTTPNotFoundError](compute_api_client/docs/HTTPNotFoundError.md)\n - [HTTPValidationError](compute_api_client/docs/HTTPValidationError.md)\n - [Language](compute_api_client/docs/Language.md)\n - [LocationInner](compute_api_client/docs/LocationInner.md)\n - [Member](compute_api_client/docs/Member.md)\n - [MemberIn](compute_api_client/docs/MemberIn.md)\n - [Metadata](compute_api_client/docs/Metadata.md)\n - [MetadataIn](compute_api_client/docs/MetadataIn.md)\n - [Permission](compute_api_client/docs/Permission.md)\n - [PermissionGroup](compute_api_client/docs/PermissionGroup.md)\n - [Project](compute_api_client/docs/Project.md)\n - [ProjectIn](compute_api_client/docs/ProjectIn.md)\n - [ProjectPatch](compute_api_client/docs/ProjectPatch.md)\n - [Reservation](compute_api_client/docs/Reservation.md)\n - [ReservationIn](compute_api_client/docs/ReservationIn.md)\n - [Result](compute_api_client/docs/Result.md)\n - [ResultIn](compute_api_client/docs/ResultIn.md)\n - [Role](compute_api_client/docs/Role.md)\n - [Run](compute_api_client/docs/Run.md)\n - [RunIn](compute_api_client/docs/RunIn.md)\n - [RunStatus](compute_api_client/docs/RunStatus.md)\n - [Runtime](compute_api_client/docs/Runtime.md)\n - [RuntimeStatus](compute_api_client/docs/RuntimeStatus.md)\n - [RuntimeType](compute_api_client/docs/RuntimeType.md)\n - [ShareType](compute_api_client/docs/ShareType.md)\n - [Team](compute_api_client/docs/Team.md)\n - [Transaction](compute_api_client/docs/Transaction.md)\n - [User](compute_api_client/docs/User.md)\n - [UserIn](compute_api_client/docs/UserIn.md)\n - [ValidationError](compute_api_client/docs/ValidationError.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\n\n\n\n',
    'author': 'Quantum Inspire',
    'author_email': 'support@quantum-inspire.eu',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/QuTech-Delft/compute-api-client',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
